HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.Algebras.AffinePlane

Description

A module defining the affine plane and its symmetries

# Documentation

data XY Source

Constructors

X |
Y |

Instances

Eq XY |
Ord XY |
Show XY |

x :: GlexPoly Q XY Source

y :: GlexPoly Q XY Source

data ABCD Source

Constructors

A |
B |
C |
D |

Instances

Eq ABCD |
Ord ABCD |
Show ABCD |
HopfAlgebra Q (SL2 ABCD) |
Bialgebra Q (SL2 ABCD) |
Coalgebra Q (SL2 ABCD) |
Algebra Q (SL2 ABCD) |

a :: Monomial m => Vect Q (m ABCD)Source

d :: Monomial m => Vect Q (m ABCD)Source

c :: Monomial m => Vect Q (m ABCD)Source

b :: Monomial m => Vect Q (m ABCD)Source

newtype SL2 v Source

Constructors

SL2 (GlexMonomial v) |

Instances

Monomial SL2 |
HopfAlgebra Q (SL2 ABCD) |
Bialgebra Q (SL2 ABCD) |
Coalgebra Q (SL2 ABCD) |
Algebra Q (SL2 ABCD) |
Eq v => Eq (SL2 v) |
Ord v => Ord (SL2 v) |
Show v => Show (SL2 v) |

sl2Var :: Num k => v -> Vect k (SL2 v)Source